#!/bin/sh

CVSROOT=~/cvsroot
RPMROOT=~/rpm
ROOT=~/snapshot
DIR="firestorm-0.4.4"
TAG="v0_4_4"

## export from CVS and cd into root
mkdir -p $ROOT
cvs -d $CVSROOT export -r $TAG -d $ROOT/$DIR firestorm
pushd $ROOT/$DIR


## Setup the source code
aclocal
autoheader
automake -c -a --gnu -v
autoconf


## Make the source tarball
cd ..
tar -zcf $DIR.tar.gz $DIR


## Make the binary tarball
mver=`uname -s`-`uname -m`
mkdir $DIR.$mver
pushd $DIR
env LD_PRELOAD="" ./configure \
	--sysconfdir=/etc \
	--mandir=/usr/share/man \
	--bindir=/usr/bin \
	--libdir=/usr/lib && make
env LD_PRELOAD="" make DESTDIR=$ROOT/$DIR.$mver install
popd
tar -zcvf $DIR.$mver.tar.gz $DIR.$mver
rm -rf $DIR.$mver


## Make the RPMs
cp $DIR/firestorm.spec $RPMROOT/SPECS/
cp $DIR.tar.gz $RPMROOT/SOURCES/
pushd $RPMROOT
env LD_PRELOAD="" rpm -ba SPECS/firestorm.spec
rpm --clean SPECS/firestorm.spec
mv RPMS/i386/firestorm-*.rpm $ROOT
mv SRPMS/firestorm-*.rpm $ROOT
rm -f SPECS/firestorm.spec
rm -f SOURCES/$DIR.tar.gz
popd


## Finish up
rm -rf $ROOT/$DIR
popd
