#ifndef __CAPDEV_HEADER_INCLUDED__
#define __CAPDEV_HEADER_INCLUDED__

#ifndef __have_cap_s
struct cap_s;
#endif

typedef void *(*proc_capdev_init)(char *);
typedef void (*proc_capdev_end)(void *);
typedef void (*proc_capdev_go)(void *, struct cap_s *);

struct capdev {
	struct capdev		*next;
	const char		*name;
	proc_capdev_init	init;
	proc_capdev_end		end;
	proc_capdev_go		go;
};

#ifndef __PLUGIN__
void capdev_init(void);
void capdev_stats(void);
extern serial_t the_serial;
#endif

#ifndef __PLUGIN__
void serial_number(serial_t *);
struct capdev *capdev_find(const char *);
int capdev_add(const char *name,
	proc_capdev_init,
	proc_capdev_end,
	proc_capdev_go);
#else
typedef void (*proc_serial_number)(serial_t *);
typedef struct capdev *(*proc_capdev_find)(const char *);
typedef int(*proc_capdev_add)(const char *,
	proc_capdev_init,
	proc_capdev_end,
	proc_capdev_go);
#endif

#endif /* __CAPDEV_HEADER_INCLUDED__ */
